{% extends "base.html" %} {% block content %} {% if form.errors %}
<p>Your username and password didn't match. Please try again.</p>
{% endif %} {% if next %} {% if user.is_authenticated %}
<p>
  Your account doesn't have access to this page. To proceed, please login with
  an account that has access.
</p>
{% else %}
<p>Please login to see this page.</p>
{% endif %} {% endif %} {% load crispy_forms_tags %}
<div class="container card" id="login-card">
  <div class="card-body">
    <h2 class="text-center mb-3">Login</h2>
    <form method="post" action="{% url 'login' %}">
      {% csrf_token %} {{form|crispy}}
      <button type="submit" class="btn btn-primary">Login</button>

      <input type="hidden" name="next" value="{{ next }}" />
    </form>

    <!-- Google OAuth2 -->
    <a class="btn btn-primary mt-3" href="{% url 'social:begin' 'google-oauth2' %}">
      <i class="fab fa-google mr-2"></i> Login with Google
    </a>

  </div>
</div>

{% endblock %} {% block rightsidecontent %} {% include 'includes/recommended.html' %} {% endblock %} {% block head %}
<title>
  Login | Tk.PePeW Online Shop
</title>
<style>
  #login-card {
    width: 35%;
  }
</style>

{% endblock %}
